package cn.im.trafficalarm.model;

import cn.base.bean.BaseBean;
//[交通事故检测信息表]

public class TrafficaccidentinfoBean extends BaseBean implements java.io.Serializable {
	private String accidentId;//[事故ID]
	private String accidentState;//[事故状态，代码；0-已展示未查看,1-未展示未执行；2-处理中；3-已忽略；4-已完结;5-已查看]
	private String deviceId;//[设备ID]
	private String deviceType;//[检测设备类型；代码，0：视频，1：线圈，2：地磁，3：微波，4：超声波，5：红外检测器，9：其他]
	private String regionId;//[所属区域]
	private String locationDesc;//[地点名称]
	private String locationId;//[路口路段编号]
	private String direction;//[检测方向]
	private String eventId;//[事件编号]
	private String eventSource;//[事件来源]
	private String eventType;//[事件类型，代码；1-交通事故；2-自然灾害；3-恶劣天气；4-严重违法行为；5-路面损毁；6-交通拥堵；7-货物散落；20-特殊事件；99-其他事件；10-恢复]
	private String occurTime;//[发生时间]
	private String occurAddress;//[发生地点]
	private String adminDivision;//[行政区划]
	private String alarmListId;//[接警单编号]
	private String alarmTime;//[报警时间]
	private String alarmPhone;//[报警电话]
	private String alarmPerson;//[报警人]
	private String alarmLevel;//[警情级别；代码；1：一般，2：重大，3：特别重大]
	private String alarmContent;//[报警内容]
	private String eventUrl;//[事件资源]
	private String eventSmallUrl;//[事件资源缩略图]
	private String eventBigUrl;//[事件资源大图]
	private int longitude;//[经度]
	private int latitude;//[维度]
	private String vdId;//[视频设备ID]
	private String channelId;//[视频通道ID]
	private String planID;//[事件确认后关联的预案]
	private String confirmAccount;//[确认事故人]
	private String confirmTime;//[确认事故时间]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	private String eventName;
	private String accidentName;
	private String roadName;
	private String standardName;
	private String startPile;
	private String endPile;
	private String tunnelName;
	private String tdmc;
	private String alarmLevelName;
	private String disposeReason;//忽略报警原因
	
	
	public String getDisposeReason() {
		return disposeReason;
	}
	public void setDisposeReason(String disposeReason) {
		this.disposeReason = disposeReason;
	}
	public String getAlarmLevelName() {
		return alarmLevelName;
	}
	public void setAlarmLevelName(String alarmLevelName) {
		this.alarmLevelName = alarmLevelName;
	}
	public String getEventName() {
		return eventName;
	}
	public void setEventName(String eventName) {
		this.eventName = eventName;
	}
	public String getAccidentName() {
		return accidentName;
	}
	public void setAccidentName(String accidentName) {
		this.accidentName = accidentName;
	}
	public String getRoadName() {
		return roadName;
	}
	public void setRoadName(String roadName) {
		this.roadName = roadName;
	}
	public String getStandardName() {
		return standardName;
	}
	public void setStandardName(String standardName) {
		this.standardName = standardName;
	}
	public String getStartPile() {
		return startPile;
	}
	public void setStartPile(String startPile) {
		this.startPile = startPile;
	}
	public String getEndPile() {
		return endPile;
	}
	public void setEndPile(String endPile) {
		this.endPile = endPile;
	}
	public String getTunnelName() {
		return tunnelName;
	}
	public void setTunnelName(String tunnelName) {
		this.tunnelName = tunnelName;
	}
	public String getTdmc() {
		return tdmc;
	}
	public void setTdmc(String tdmc) {
		this.tdmc = tdmc;
	}
	public void setAccidentId(String accidentId){
		this.accidentId = accidentId;
	}
	public String getAccidentId(){
		return accidentId;
	}
	public void setAccidentState(String accidentState){
		this.accidentState = accidentState;
	}
	public String getAccidentState(){
		return accidentState;
	}
	public void setDeviceId(String deviceId){
		this.deviceId = deviceId;
	}
	public String getDeviceId(){
		return deviceId;
	}
	public void setDeviceType(String deviceType){
		this.deviceType = deviceType;
	}
	public String getDeviceType(){
		return deviceType;
	}
	public void setRegionId(String regionId){
		this.regionId = regionId;
	}
	public String getRegionId(){
		return regionId;
	}
	public void setLocationDesc(String locationDesc){
		this.locationDesc = locationDesc;
	}
	public String getLocationDesc(){
		return locationDesc;
	}
	public void setLocationId(String locationId){
		this.locationId = locationId;
	}
	public String getLocationId(){
		return locationId;
	}
	public void setDirection(String direction){
		this.direction = direction;
	}
	public String getDirection(){
		return direction;
	}
	public void setEventId(String eventId){
		this.eventId = eventId;
	}
	public String getEventId(){
		return eventId;
	}
	public void setEventSource(String eventSource){
		this.eventSource = eventSource;
	}
	public String getEventSource(){
		return eventSource;
	}
	public void setEventType(String eventType){
		this.eventType = eventType;
	}
	public String getEventType(){
		return eventType;
	}
	public void setOccurTime(String occurTime){
		this.occurTime = occurTime;
	}
	public String getOccurTime(){
		return occurTime;
	}
	public void setOccurAddress(String occurAddress){
		this.occurAddress = occurAddress;
	}
	public String getOccurAddress(){
		return occurAddress;
	}
	public void setAdminDivision(String adminDivision){
		this.adminDivision = adminDivision;
	}
	public String getAdminDivision(){
		return adminDivision;
	}
	public void setAlarmListId(String alarmListId){
		this.alarmListId = alarmListId;
	}
	public String getAlarmListId(){
		return alarmListId;
	}
	public void setAlarmTime(String alarmTime){
		this.alarmTime = alarmTime;
	}
	public String getAlarmTime(){
		return alarmTime;
	}
	public void setAlarmPhone(String alarmPhone){
		this.alarmPhone = alarmPhone;
	}
	public String getAlarmPhone(){
		return alarmPhone;
	}
	public void setAlarmPerson(String alarmPerson){
		this.alarmPerson = alarmPerson;
	}
	public String getAlarmPerson(){
		return alarmPerson;
	}
	public void setAlarmLevel(String alarmLevel){
		this.alarmLevel = alarmLevel;
	}
	public String getAlarmLevel(){
		return alarmLevel;
	}
	public void setAlarmContent(String alarmContent){
		this.alarmContent = alarmContent;
	}
	public String getAlarmContent(){
		return alarmContent;
	}
	public void setEventUrl(String eventUrl){
		this.eventUrl = eventUrl;
	}
	public String getEventUrl(){
		return eventUrl;
	}
	public void setEventSmallUrl(String eventSmallUrl){
		this.eventSmallUrl = eventSmallUrl;
	}
	public String getEventSmallUrl(){
		return eventSmallUrl;
	}
	public void setEventBigUrl(String eventBigUrl){
		this.eventBigUrl = eventBigUrl;
	}
	public String getEventBigUrl(){
		return eventBigUrl;
	}
	public void setLongitude(int longitude){
		this.longitude = longitude;
	}
	public int getLongitude(){
		return longitude;
	}
	public void setLatitude(int latitude){
		this.latitude = latitude;
	}
	public int getLatitude(){
		return latitude;
	}
	public void setVdId(String vdId){
		this.vdId = vdId;
	}
	public String getVdId(){
		return vdId;
	}
	public void setChannelId(String channelId){
		this.channelId = channelId;
	}
	public String getChannelId(){
		return channelId;
	}
	public void setPlanID(String planID){
		this.planID = planID;
	}
	public String getPlanID(){
		return planID;
	}
	public void setConfirmAccount(String confirmAccount){
		this.confirmAccount = confirmAccount;
	}
	public String getConfirmAccount(){
		return confirmAccount;
	}
	public void setConfirmTime(String confirmTime){
		this.confirmTime = confirmTime;
	}
	public String getConfirmTime(){
		return confirmTime;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
}